Request

Response

    POST

    twins/{twinID}/documents

    Create Tandem documents from ACC files. File contents are copied to Tandem-managed storage system.

    Resource Information

    Method and URI
    POST
    https://developer.api.autodesk.com/tandem/v1/twins/{twinID}/documents
    Authentication Context
    user context optional
    Required OAuth Scopes
    data:write
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a two-legged access token obtained via a Client Credentials Grant flow, or a three-legged access token obtained via Authorization Code flow, Authorization Code flow with PKCE, or Secure Service Account flow (for headless scenarios).
    Region
    string
    Specifies the region where your request should be routed. Possible values: US, EMEA. For more details, see Regions.
    Content-Type*
    string
    Must be application/json
    * Required

    Request

    URI Parameters

    twinID
    string
    Twin URN

    Request

    Body Structure

    Array of documents definitions

    accAccountId
    string
    Optional account ID of Autodesk Docs where original document is stored
    accLineage
    string
    Optional item id of document
    accProjectId
    string
    Optional project ID of Autodesk Docs where original document is stored
    accVersion
    string
    Optional version of of document
    label
    string
    Optional label
    name
    string
    Document name

    Response

    HTTP Status Code Summary

    200
    OK
    OK
    400
    Bad Request
    The service was unable to process the request. The syntax of the request may be malformed or the request may be missing a required header. Do not resend the request without fixing the issue. The response body may indicate what is wrong with the request.
    403
    Forbidden
    The request was successfully validated but it did not have the required permissions.
    500
    Internal Server Error
    The service encountered an error that it was unable to handle. Wait for a few minutes and resend the request. If the error persists, contact us at aps.help@autodesk.com.

    Response

    Body Structure (200)

    Expand all
    data
    array: object
    accAccountId
    string
    Optional account ID of Autodesk Docs where original document is stored
    accLineage
    string
    Optional item id of document
    accProjectId
    string
    Optional project ID of Autodesk Docs where original document is stored
    accVersion
    string
    Optional version of of document
    contentType
    string
    content type (i.e. application/pdf)
    id
    string
    Unique id of document
    label
    string
    Optional label
    lastUpdated
    string
    Optional timestamp of last modification (ISO 8601 format)
    name
    string
    Document name
    s3Path
    string
    S3 storage location
    signedLink
    string
    Optional signed URL
    uploadPending
    boolean
    Optional readability of a document
    errors
    array: object
    accAccountId
    string
    Optional account ID of Autodesk Docs where original document is stored
    accLineage
    string
    Optional item id of document
    accProjectId
    string
    Optional project ID of Autodesk Docs where original document is stored
    accVersion
    string
    Optional version of of document
    label
    string
    Optional label
    name
    string
    Document name
    status
    string